package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.enums.GroupType;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/4/16
 */
public class StudentTeacherCourseDto {

    private Integer studentId;

    private Integer teacherId;

    private GroupType groupType;

    private String groupId;

    private CourseSchedule.CourseScheduleType courseScheduleType;

    private Date classesStartTime;

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public CourseSchedule.CourseScheduleType getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(CourseSchedule.CourseScheduleType courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }

    public Date getClassesStartTime() {
        return classesStartTime;
    }

    public void setClassesStartTime(Date classesStartTime) {
        this.classesStartTime = classesStartTime;
    }
}
